Zum Hauptinhalt springen
Version: API v1

Rechnungseinstellungen ändern

PUT/v1/customers/{customerNumber}/billingsettings
API-Version
v1
Request-Methode
PUT
Operation-ID
updateCustomerBillingSettings

Request​

  • customerNumberintegerrequired

    Kundennummer

Responses​

Format
application/json
Beschreibung

Die Zahlungseinstellungen des Kunden

  • vatIDstring
  • postalInvoicesbooleanrequired
Content-Type: application/json

{
"vatID": "string",
"postalInvoices": true
}
{
"title": "CustomerBillingSettings",
"required": [
"postalInvoices"
],
"type": "object",
"properties": {
"vatID": {
"type": "string"
},
"postalInvoices": {
"type": "boolean"
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"vatID":"string","postalInvoices":true}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/customers/123/billingsettings

Auf dieser Seite